> For a complete page index, fetch https://developer.close.com/llms.txt

# Retrieve a Form

GET https://api.close.com/api/v1/form/{id}/

Retrieve a single form and its published field definitions by ID.

Reference: https://developer.close.com/api/resources/forms/fetch

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Close API
  version: 1.0.0
paths:
  /form/{id}/:
    get:
      operationId: fetch
      summary: Retrieve a Form
      description: Retrieve a single form and its published field definitions by ID.
      tags:
        - subpackage_forms
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: _fields
          in: query
          description: Comma-separated list of fields to include in the response.
          required: false
          schema:
            type: string
        - name: Authorization
          in: header
          description: Use your API key as the username and leave the password empty.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Form'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                description: Any type
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not found
          content:
            application/json:
              schema:
                description: Any type
servers:
  - url: https://api.close.com/api/v1
components:
  schemas:
    FormFieldChoice:
      type: object
      properties:
        label:
          type: string
        value:
          type: string
      required:
        - label
        - value
      title: FormFieldChoice
    FormFieldDefinition:
      type: object
      properties:
        choices:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/FormFieldChoice'
        id:
          type: string
        name:
          type: string
        type:
          type: string
      required:
        - choices
        - id
        - name
        - type
      title: FormFieldDefinition
    Form:
      type: object
      properties:
        date_created:
          type: string
          format: date-time
        date_updated:
          type: string
          format: date-time
        field_definitions:
          type: array
          items:
            $ref: '#/components/schemas/FormFieldDefinition'
        id:
          type: string
        is_archived:
          type: boolean
        name:
          type: string
        organization_id:
          type: string
      required:
        - date_created
        - date_updated
        - field_definitions
        - id
        - is_archived
        - name
        - organization_id
      title: Form
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: basic
      description: Use your API key as the username and leave the password empty.
    OAuth2:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python forms_fetch_example
import requests

url = "https://api.close.com/api/v1/form/id/"

response = requests.get(url, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript forms_fetch_example
const url = 'https://api.close.com/api/v1/form/id/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go forms_fetch_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/form/id/"

	req, _ := http.NewRequest("GET", url, nil)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby forms_fetch_example
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/form/id/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")

response = http.request(request)
puts response.read_body
```

```java forms_fetch_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.close.com/api/v1/form/id/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .asString();
```

```php forms_fetch_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.close.com/api/v1/form/id/', [
  'headers' => [
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp forms_fetch_example
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/form/id/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.GET);

IRestResponse response = client.Execute(request);
```